/*
 *  soapUI, copyright (C) 2006 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl;

import java.io.File;

import com.eviware.soapui.model.iface.Attachment;

public interface AttachmentContainer
{
	public abstract Attachment attachFile( File file, boolean cache );

	public abstract int getAttachmentCount();

	public abstract Attachment getAttachmentAt( int index );

	public abstract Attachment[] getAttachmentsForPart( String partName );

	public abstract void removeAttachment( Attachment attachment );

	public abstract Attachment[] getAttachments();

	public abstract WsdlAttachmentPart[] getDefinedAttachmentParts();

	public abstract WsdlAttachmentPart getAttachmentPart( String partName );

	public abstract boolean isMtomEnabled();

	public abstract boolean isMultipartEnabled();
}