/*
 *  soapUI, copyright (C) 20056 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl;

import javax.xml.namespace.QName;

import org.apache.xmlbeans.SchemaType;

import com.eviware.soapui.model.iface.MessagePart;
import com.eviware.soapui.model.iface.Request;

public class WsdlContentPart extends MessagePart.ContentPart
{
	private String name;
	private SchemaType schemaType;
	private QName partElement;
	private final WsdlRequest request;
	
	public WsdlContentPart(String name, SchemaType schemaType, QName partElement, WsdlRequest request )
	{
		super();
		
		this.name = name;
		this.schemaType = schemaType;
		this.partElement = partElement;
		this.request = request;
	}
	
	public Request getRequest()
	{
		return request;
	}

	public SchemaType getSchemaType()
	{
		return schemaType;
	}

	public String getDescription()
	{
		return name + " of type [" + schemaType.getName() + "]";
	}

	public String getName()
	{
		return name;
	}

	public QName getPartElement()
	{
		return partElement;
	}
}
