/*
 *  soapUI, copyright (C) 2006 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.actions.mockoperation;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;

import com.eviware.soapui.impl.wsdl.mock.WsdlMockOperation;
import com.eviware.soapui.impl.wsdl.mock.WsdlMockService;
import com.eviware.soapui.support.UISupport;

/**
 * Deletes a WsdlRequest from its WsdlOperation
 * 
 * @author Ole.Matzura
 */

public class RemoveMockOperationAction extends AbstractAction
{
   private final WsdlMockOperation mockOperation;

	public RemoveMockOperationAction( WsdlMockOperation mockOperation )
   {
      super( "Remove" );
		this.mockOperation = mockOperation;
      putValue( Action.SHORT_DESCRIPTION, "Removes this MockOperation" );
      putValue( Action.ACCELERATOR_KEY, UISupport.getKeyStroke( "DELETE" ));
   }
   
   public void actionPerformed(ActionEvent e)
	{
      if( UISupport.confirm( "Rmove MockOperation [" + mockOperation.getName() + "] from MockService [" + mockOperation.getMockService().getName() + 
            "]", "Remove MockOperation" ))
      {
      	WsdlMockService operation = (WsdlMockService) mockOperation.getMockService();
         operation.removeMockOperation( mockOperation );
      }
   }
}
