/*
 *  soapUI, copyright (C) 2006 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.actions.project;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;

import com.eviware.soapui.SoapUI;
import com.eviware.soapui.model.mock.MockService;
import com.eviware.soapui.model.project.Project;
import com.eviware.soapui.support.UISupport;

/**
 * Action for adding a new WsdlTestSuite to a WsdlProject
 * 
 * @author Ole.Matzura
 */

public class AddNewMockServiceAction extends AbstractAction
{
   private final Project project;

	public AddNewMockServiceAction( Project project ) 
   {
      super( "New MockService" );
		this.project = project;
      putValue( Action.SHORT_DESCRIPTION, "Creates a new MockService in this project" );
      putValue( Action.ACCELERATOR_KEY, UISupport.getKeyStroke( "menu O" ));
   }
   
   public void actionPerformed(ActionEvent e)
	{
      String name = UISupport.prompt( "Specify name of MockService", "New MockService", 
      		"MockService " + (project.getMockServiceCount()+1) );
      if( name == null ) return;
      
      MockService mockService = project.addNewMockService( name );
      SoapUI.selectModelItem( mockService );
   }
}
