/*
 *  soapUI, copyright (C) 2006 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.actions.project;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;

import com.eviware.soapui.impl.wsdl.WsdlProject;
import com.eviware.soapui.support.UISupport;

/**
 * Renames a WsdlProject
 * 
 * @author Ole.Matzura
 */

public class RenameProjectAction extends AbstractAction
{
   private final WsdlProject project;

	public RenameProjectAction( WsdlProject project )
   {
      super( "Rename" );
		this.project = project;
      putValue( Action.SHORT_DESCRIPTION, "Renames this project" );
      putValue( Action.ACCELERATOR_KEY, UISupport.getKeyStroke( "F2" ));
   }
   
   public void actionPerformed(ActionEvent e)
	{
      String name = UISupport.prompt( "Specify name of project", "Rename Project", project.getName() );
      if( name == null || name.equals( project.getName() )) return;
      
      project.setName( name );
   }
}
