/*
 *  soapUI, copyright (C) 2006 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.actions.request;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;

import com.eviware.soapui.impl.wsdl.WsdlRequest;
import com.eviware.soapui.support.UISupport;

/**
 * Renames a WsdlRequest
 * 
 * @author Ole.Matzura
 */

public class RenameRequestAction extends AbstractAction
{
   private final WsdlRequest request;

	public RenameRequestAction( WsdlRequest request )
   {
      super( "Rename" );
		this.request = request;
      putValue( Action.SHORT_DESCRIPTION, "Renames this request" );
      putValue( Action.ACCELERATOR_KEY, UISupport.getKeyStroke( "F2" ));
   }
   
   public void actionPerformed(ActionEvent e)
	{
      String name = UISupport.prompt( "Specify name of request", "Rename Request", request.getName() );
      if( name == null || name.equals( request.getName() )) return;
      
      request.setName( name );
   }

}
