/*
 *  soapUI, copyright (C) 2006 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.panels.support.assertions;

import com.eviware.soapui.impl.wsdl.WsdlInterface;
import com.eviware.soapui.impl.wsdl.teststeps.WsdlMessageAssertion;
import com.eviware.soapui.impl.wsdl.teststeps.assertions.WsdlAssertionRegistry.AssertionType;
import com.eviware.soapui.model.testsuite.TestStep;

public interface Assertable 
{
	public WsdlMessageAssertion addAssertion( String selection );

	public void addAssertionsListener( AssertionsListener listener );

	public int getAssertionCount();

	public WsdlMessageAssertion getAssertionAt( int c );

	public void removeAssertionsListener( AssertionsListener listener );
	
	public void removeAssertion(WsdlMessageAssertion assertion);
	
	public AssertionStatus getAssertionStatus();
	
	public enum AssertionStatus { UNKNOWN, VALID, FAILED }

	public String getAssertableContent();
	
	public AssertionType getAssertionType();

	public TestStep getTestStep();

	public WsdlInterface getInterface();
}


