/*
 *  soapUI, copyright (C) 2006 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.support;

import java.io.File;
import java.io.IOException;

import com.eviware.soapui.config.AttachmentConfig;
import com.eviware.soapui.impl.wsdl.WsdlRequest;

public class RequestFileAttachment extends FileAttachment
{
	private final WsdlRequest request;

	public RequestFileAttachment( AttachmentConfig config, WsdlRequest request )
	{
		super( config );
		this.request = request;
	}

	public RequestFileAttachment( File file, boolean cache, WsdlRequest request ) throws IOException
	{
		super( file, cache, request.getConfig().addNewAttachment() );
		this.request = request;
	}

	@Override
	public AttachmentType getAttachmentType()
	{
		if( request == null || getPart() == null || request.getAttachmentPart( getPart() ) == null )
			return AttachmentType.UNKNOWN;
		else
			return request.getAttachmentPart( getPart() ).getAttachmentType();

	}

}
