 /*
 *  soapUI, copyright (C) 2006 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */
 
package com.eviware.soapui.impl.wsdl.teststeps.actions;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;

import com.eviware.soapui.SoapUI;
import com.eviware.soapui.impl.wsdl.teststeps.WsdlTestRequestStep;

/**
 * Selects the specified WsdlTestRequestSteps operation in the navigator
 * 
 * @author Ole.Matzura
 */

public class SelectOperationAction extends AbstractAction
{
	private final WsdlTestRequestStep step;

	public SelectOperationAction(WsdlTestRequestStep step)
	{
		super( "Show Operation" );
		this.step = step;
		putValue( Action.SHORT_DESCRIPTION, "Shows this test requests operation in the navigator" );
	}

	public void actionPerformed(ActionEvent e)
	{
		SoapUI.selectModelItem( step.getTestRequest().getOperation() );
	}
}
