/*
 *  soapUI, copyright (C) 2006 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.model.testsuite;

import java.util.List;

import com.eviware.soapui.model.ModelItem;
import com.eviware.soapui.model.support.PropertiesMap;

/**
 * A TestCase holding a number of TestSteps
 * 
 * @author Ole.Matzura
 */

public interface TestCase extends ModelItem
{
   public final static String STATUS_PROPERTY = TestCase.class.getName() + "@status";
   
   public TestSuite getTestSuite();
   
   public TestStep getTestStepAt( int index );
   
   public int getIndexOfTestStep( TestStep testStep );
   
   public int getTestStepCount();
   
   public List<TestStep> getTestStepList();

   public LoadTest getLoadTestAt( int index );
   
   public LoadTest getLoadTestByName( String loadTestName );
   
   public int getIndexOfLoadTest( LoadTest loadTest );
   
   public int getLoadTestCount();
   
   public TestRunner run( PropertiesMap contextProperties, boolean async );
   
   public void addTestRunListener( TestRunListener listener );
   
   public void removeTestRunListener( TestRunListener listener );

	public int getTestStepIndexByName( String stepName );
	
	public TestStep findPreviousStepOfType( TestStep referenceStep, Class<? extends TestStep> stepClass );
	
	public TestStep findNextStepOfType( TestStep referenceStep, Class<? extends TestStep> stepClass );
	
	public void moveTestStep( int index, int offset );

	public TestStep getTestStepByName( String stepName );
}
